org.apache.lucene.luke.app.desktop.util

## Class TextAreaAppender

- java.lang.Object
- - org.apache.logging.log4j.core.AbstractLifeCycle
  - - org.apache.logging.log4j.core.filter.AbstractFilterable
    - - org.apache.logging.log4j.core.appender.AbstractAppender
      - - org.apache.lucene.luke.app.desktop.util.TextAreaAppender

- All Implemented Interfaces:
    org.apache.logging.log4j.core.Appender, org.apache.logging.log4j.core.filter.Filterable, org.apache.logging.log4j.core.impl.LocationAware, org.apache.logging.log4j.core.LifeCycle, org.apache.logging.log4j.core.LifeCycle2

      @Plugin(name="TextArea",
              category="Core",
              elementType="appender",
              printObject=true)
      public final class TextAreaAppender
      extends org.apache.logging.log4j.core.appender.AbstractAppender

  Log appender for text areas

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `TextAreaAppender.Builder<B extends TextAreaAppender.Builder<B>>` Builds TextAreaAppender instances.

    - ### Nested classes/interfaces inherited from interface org.apache.logging.log4j.core.LifeCycle

      `org.apache.logging.log4j.core.LifeCycle.State`

  - ### Field Summary

    - ### Fields inherited from class org.apache.logging.log4j.core.AbstractLifeCycle

      `DEFAULT_STOP_TIMEOUT, DEFAULT_STOP_TIMEUNIT, LOGGER`

    - ### Fields inherited from interface org.apache.logging.log4j.core.Appender

      `ELEMENT_TYPE, EMPTY_ARRAY`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `TextAreaAppender(String name, org.apache.logging.log4j.core.Filter filter, org.apache.logging.log4j.core.Layout<? extends Serializable> layout, boolean ignoreExceptions)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `append(org.apache.logging.log4j.core.LogEvent event)`
    `static <B extends TextAreaAppender.Builder<B>> B` | `newBuilder()`
    `static void` | `setTextArea(JTextArea ta)`

    - ### Methods inherited from class org.apache.logging.log4j.core.appender.AbstractAppender

      `error, error, error, getHandler, getLayout, getName, ignoreExceptions, parseInt, requiresLocation, setHandler, toSerializable, toString`

    - ### Methods inherited from class org.apache.logging.log4j.core.filter.AbstractFilterable

      `addFilter, getFilter, getPropertyArray, hasFilter, isFiltered, removeFilter, start, stop, stop`

    - ### Methods inherited from class org.apache.logging.log4j.core.AbstractLifeCycle

      `equalsImpl, getState, getStatusLogger, hashCodeImpl, initialize, isInitialized, isStarted, isStarting, isStopped, isStopping, setStarted, setStarting, setState, setStopped, setStopping, stop, stop`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.apache.logging.log4j.core.LifeCycle

      `getState, initialize, isStarted, isStopped, start, stop`

- - ### Constructor Detail

    - #### TextAreaAppender

          protected TextAreaAppender(String name,
                                     org.apache.logging.log4j.core.Filter filter,
                                     org.apache.logging.log4j.core.Layout<? extends Serializable> layout,
                                     boolean ignoreExceptions)

  - ### Method Detail

    - #### setTextArea

          public static void setTextArea(JTextArea ta)

    - #### append

          public void append(org.apache.logging.log4j.core.LogEvent event)

    - #### newBuilder

          @PluginBuilderFactory
          public static <B extends TextAreaAppender.Builder<B>> B newBuilder()

Copyright © 2000-2024 Apache Software Foundation. All Rights Reserved.